org.apache.poi.xslf.usermodel

## Enum SlideLayout

- java.lang.Object
- - java.lang.Enum<SlideLayout>
  - - org.apache.poi.xslf.usermodel.SlideLayout

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SlideLayout>

      public enum SlideLayout
      extends java.lang.Enum<SlideLayout>

  Date: 11/5/11
  Author:
    Yegor Kozlov

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLANK` Blank
    `CHART` Title and chart
    `CHART_AND_TEXT` Title, chart on left and text on right
    `CLIP_ART_AND_TEXT` Title, clipart on left, text on right
    `CLIP_ART_AND_VERT_TX`
    `CUST`
    `DGM`
    `FOUR_OBJ`
    `MEDIA_AND_TX`
    `OBJ_AND_TWO_OBJ`
    `OBJ_AND_TX`
    `OBJ_ONLY`
    `OBJ_OVER_TX`
    `OBJ_TX`
    `PIC_TX`
    `SECTION_HEADER` Section Header
    `TBL`
    `TEXT` Title and text
    `TEXT_AND_CHART`
    `TITLE` Title layout with centered title and subtitle placeholders
    `TITLE_AND_CONTENT` title and content
    `TITLE_ONLY` Title only
    `TWO_COL_TX`
    `TWO_OBJ`
    `TWO_OBJ_AND_OBJ`
    `TWO_OBJ_AND_TX`
    `TWO_OBJ_OVER_TX`
    `TWO_TX_TWO_OBJ`
    `TX_AND_CLIP_ART`
    `TX_AND_MEDIA`
    `TX_AND_OBJ`
    `TX_AND_TWO_OBJ`
    `TX_OVER_OBJ`
    `VERT_TITLE_AND_TX`
    `VERT_TITLE_AND_TX_OVER_CHART`
    `VERT_TX`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SlideLayout` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SlideLayout[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TITLE

          public static final SlideLayout TITLE

      Title layout with centered title and subtitle placeholders

    - #### TEXT

          public static final SlideLayout TEXT

      Title and text

    - #### TWO_COL_TX

          public static final SlideLayout TWO_COL_TX

    - #### TBL

          public static final SlideLayout TBL

    - #### TEXT_AND_CHART

          public static final SlideLayout TEXT_AND_CHART

    - #### CHART_AND_TEXT

          public static final SlideLayout CHART_AND_TEXT

      Title, chart on left and text on right

    - #### DGM

          public static final SlideLayout DGM

    - #### CHART

          public static final SlideLayout CHART

      Title and chart

    - #### TX_AND_CLIP_ART

          public static final SlideLayout TX_AND_CLIP_ART

    - #### CLIP_ART_AND_TEXT

          public static final SlideLayout CLIP_ART_AND_TEXT

      Title, clipart on left, text on right

    - #### TITLE_ONLY

          public static final SlideLayout TITLE_ONLY

      Title only

    - #### BLANK

          public static final SlideLayout BLANK

      Blank

    - #### TX_AND_OBJ

          public static final SlideLayout TX_AND_OBJ

    - #### OBJ_AND_TX

          public static final SlideLayout OBJ_AND_TX

    - #### OBJ_ONLY

          public static final SlideLayout OBJ_ONLY

    - #### TITLE_AND_CONTENT

          public static final SlideLayout TITLE_AND_CONTENT

      title and content

    - #### TX_AND_MEDIA

          public static final SlideLayout TX_AND_MEDIA

    - #### MEDIA_AND_TX

          public static final SlideLayout MEDIA_AND_TX

    - #### OBJ_OVER_TX

          public static final SlideLayout OBJ_OVER_TX

    - #### TX_OVER_OBJ

          public static final SlideLayout TX_OVER_OBJ

    - #### TX_AND_TWO_OBJ

          public static final SlideLayout TX_AND_TWO_OBJ

    - #### TWO_OBJ_AND_TX

          public static final SlideLayout TWO_OBJ_AND_TX

    - #### TWO_OBJ_OVER_TX

          public static final SlideLayout TWO_OBJ_OVER_TX

    - #### FOUR_OBJ

          public static final SlideLayout FOUR_OBJ

    - #### VERT_TX

          public static final SlideLayout VERT_TX

    - #### CLIP_ART_AND_VERT_TX

          public static final SlideLayout CLIP_ART_AND_VERT_TX

    - #### VERT_TITLE_AND_TX

          public static final SlideLayout VERT_TITLE_AND_TX

    - #### VERT_TITLE_AND_TX_OVER_CHART

          public static final SlideLayout VERT_TITLE_AND_TX_OVER_CHART

    - #### TWO_OBJ

          public static final SlideLayout TWO_OBJ

    - #### OBJ_AND_TWO_OBJ

          public static final SlideLayout OBJ_AND_TWO_OBJ

    - #### TWO_OBJ_AND_OBJ

          public static final SlideLayout TWO_OBJ_AND_OBJ

    - #### CUST

          public static final SlideLayout CUST

    - #### SECTION_HEADER

          public static final SlideLayout SECTION_HEADER

      Section Header

    - #### TWO_TX_TWO_OBJ

          public static final SlideLayout TWO_TX_TWO_OBJ

    - #### OBJ_TX

          public static final SlideLayout OBJ_TX

    - #### PIC_TX

          public static final SlideLayout PIC_TX

  - ### Method Detail

    - #### values

          public static SlideLayout[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SlideLayout c : SlideLayout.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SlideLayout valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.